/**
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.schema

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 4/30/11
 * Time: 1:48 PM
 * To change this template use File | Settings | File Templates.
 */

schema {

    def v32 = "varchar(32)"
    def v2000 = "varchar(2000)"

    columns = [patron:"varchar(30)", ip_address: "varchar(16)", resource: v2000, agent:v2000,
                cookies: "text", state:v32, country:v32, city:v32]

    changeSet(id: "metridoc_base_1", author:"metridoc") {
        schemaUtils.createOneColumnTables(columns)
        schemaUtils.createBasicTable("journal_catalog", [title:"varchar(256)", created:"datetime", modified:"datetime"])
        schemaUtils.createBasicTable("error_table", [error_message: "text", stack_trace: "text",
            job_name: v32, line: "int", file_name: "varchar(50)"])
    }

}